Bug 171205 - Snmptrapd should notify if a command isn't found
Snmptrapd should notify if a command isn't found
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: net-snmp (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-10-19 10:02 EDT by Nigel Horne
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-10-26 09:50:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nigel Horne 2005-10-19 10:02:13 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.4) Gecko/20030624 Netscape/7.1 (ax)

Description of problem:
The traphandle entry in /etc/snmp/snmptrapd.conf does little runtime error checking.

It should log, via syslog, if a command can't be found or fails to start.



Version-Release number of selected component (if applicable):
net-snmp-5.2.1.2-FC3.1

How reproducible:
Always

Steps to Reproduce:
1. Add "traphandle default /bin/not/there/xyzzy" to snmptrapd.conf
2. restart snmptrapd
3. generate an SNMP trap
  

Actual Results:  Nothing

Expected Results:  Notification in the syslog that /bin/not/there/xyzzy could not be started - log it's errno.

Additional info:
Comment 1 Radek Vokal 2005-10-26 09:50:08 EDT
True. Reported upstream. Will be fixed in next rawhide version. 

Note You need to log in before you can comment on or make changes to this bug.